package kr.lunaticbum.back.lun.model

import org.springframework.http.HttpStatusCode
import org.springframework.web.servlet.ModelAndView
import org.springframework.web.servlet.View

class ResultMV : ModelAndView {

    constructor() : super()
    constructor(viewName: String) : super(viewName)
    constructor(view: View) : super(view)
    constructor(viewName: String, model: MutableMap<String, *>?) : super(viewName, model)
    constructor(view: View, model: MutableMap<String, *>?) : super(view, model)
    constructor(viewName: String, status: HttpStatusCode) : super(viewName, status)
    constructor(viewName: String?, model: MutableMap<String, *>?, status: HttpStatusCode?) : super(viewName, model, status)
    constructor(viewName: String, modelName: String, modelObject: Any) : super(viewName, modelName, modelObject)
    constructor(view: View, modelName: String, modelObject: Any) : super(view, modelName, modelObject)

    init {
        modelMap.put("title", "LUNATICBUM")
    }

    fun setTitle(title : String){
        modelMap.put("title", title)
    }
}